Subject: Re: bug#66743: 30.0.50; Crash when dumping reftex

From: Ihor Radchenko <[email-masked]>
Date: Fri, 27 Oct 2023 10:55:37 +0000

Eli Zaretskii <[email-masked]> writes:

>> If `error' does all the necessary cleanup, `emacs_abort' is indeed not
>> necessary. But that's not very obvious from the source code.
>
> What cleanup is needed in this case?

I have no idea.
To be clear: I am not sure what is the difference between `emacs_abort'
and `error'. I just noted that there is some and thus did not dare to
touch the `emacs_abort' call to avoid unexpected breakage.
If you say that using `error' instead of `emacs_abort' is safe, I will
just follow. I expect that you know these details well.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>